fTools "join attributes by location" does not work

2013-07-01 11:33 PM - Minoru Akagi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17022

Description

When I tried to total the attribute values of points in each polygon with "join attributes by location" tool, I got the following error.

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doSpatialJoin.py", line 99, in accept

    res = self.compute(inName, joinName, outPath, summary, sumList, keep, self.progressBar)

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doSpatialJoin.py", line 145, in compute

    fieldList1.extend(fieldList)

TypeError: QgsFields.extend(QgsFields): argument 1 has unexpected type 'list'

Python version:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.9.0-Master Master, 1ad59b7

Associated revisions

Revision 7d75fcc3 - 2013-07-03 08:20 AM - Minoru Akagi

fTools: fix MergeShapes and SpatialJoin

fix #7823

fix #7952

fix #8206

History

#1 - 2013-07-02 11:29 PM - Minoru Akagi

- Status changed from Open to Closed

Fixed in changeset commit:"7d75fcc38778cf0e1bb005124e69b4e30dd49821".

#2 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
